Package org.bukkit.event.entity

# Class SpawnerSpawnEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.EntitySpawnEvent
org.bukkit.event.entity.SpawnerSpawnEvent

All Implemented Interfaces:
  `Cancellable`

public class SpawnerSpawnEvent extends EntitySpawnEvent
Called when an entity is spawned into a world by a spawner.

If a Spawner Spawn event is cancelled, the entity will not spawn.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`SpawnerSpawnEvent(@NotNull Entity spawnee, @NotNull CreatureSpawner spawner)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull CreatureSpawner`
`getSpawner()`

### Methods inherited from class org.bukkit.event.entity.EntitySpawnEvent

`getHandlerList, getHandlers, getLocation, isCancelled, setCancelled`

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntity, getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SpawnerSpawnEvent

public SpawnerSpawnEvent(@NotNull @NotNull Entity spawnee, @NotNull @NotNull CreatureSpawner spawner)

## Method Details

### getSpawner

@NotNull public @NotNull CreatureSpawner getSpawner()